com.impinj.stp

## Class StpApi.Command.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.Command.Builder>
      - - com.impinj.stp.StpApi.Command.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.CommandOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.Command

      public static final class StpApi.Command.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.Command.Builder>
      implements StpApi.CommandOrBuilder

  Protobuf type `Impinj.STP.Command` From Host to Impinj Device

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.Command` | `build()`
    `StpApi.Command` | `buildPartial()`
    `StpApi.Command.Builder` | `clear()`
    `StpApi.Command.Builder` | `clearAddLicenseKey()`
    `StpApi.Command.Builder` | `clearAddOrderedListEntries()`
    `StpApi.Command.Builder` | `clearAddSerializationJob()`
    `StpApi.Command.Builder` | `clearAddTidTableEntries()`
    `StpApi.Command.Builder` | `clearConnect()` Connect to device.
    `StpApi.Command.Builder` | `clearDisengage()`
    `StpApi.Command.Builder` | `clearEngage()`
    `StpApi.Command.Builder` | `clearGetAntennaConfig()`
    `StpApi.Command.Builder` | `clearGetDeviceConfig()`
    `StpApi.Command.Builder` | `clearGetDeviceState()` Get the state (operating, fault, etc.) of the device.
    `StpApi.Command.Builder` | `clearGetOperationData()`
    `StpApi.Command.Builder` | `clearGetVersionsReader()` Return all version information reported by the device and by the host-side library.
    `StpApi.Command.Builder` | `clearRemoveSerializationJob()`
    `StpApi.Command.Builder` | `clearSetAntennaConfig()`
    `StpApi.Command.Builder` | `clearSetCartonContentsJob()`
    `StpApi.Command.Builder` | `clearSetDeviceConfig()`
    `StpApi.Command.Builder` | `clearSetInventoryJob()`
    `StpApi.Command.Builder` | `clearSetOperationResultGpo()` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `StpApi.Command.Builder` | `clearStart()` Start the encode or inventory run.
    `StpApi.Command.Builder` | `clearStop()` Stop the encode or inventory run.
    `StpApi.Command.Builder` | `clone()`
    `StpApi.AddLicenseKeyCommand` | `getAddLicenseKey()`
    `StpApi.AddLicenseKeyCommand.Builder` | `getAddLicenseKeyBuilder()`
    `StpApi.AddLicenseKeyCommandOrBuilder` | `getAddLicenseKeyOrBuilder()`
    `StpApi.AddOrderedListEntriesCommand` | `getAddOrderedListEntries()`
    `StpApi.AddOrderedListEntriesCommand.Builder` | `getAddOrderedListEntriesBuilder()`
    `StpApi.AddOrderedListEntriesCommandOrBuilder` | `getAddOrderedListEntriesOrBuilder()`
    `StpApi.AddSerializationJobCommand` | `getAddSerializationJob()`
    `StpApi.AddSerializationJobCommand.Builder` | `getAddSerializationJobBuilder()`
    `StpApi.AddSerializationJobCommandOrBuilder` | `getAddSerializationJobOrBuilder()`
    `StpApi.AddTIDTableEntriesCommand` | `getAddTidTableEntries()`
    `StpApi.AddTIDTableEntriesCommand.Builder` | `getAddTidTableEntriesBuilder()`
    `StpApi.AddTIDTableEntriesCommandOrBuilder` | `getAddTidTableEntriesOrBuilder()`
    `StpApi.ConnectCommand` | `getConnect()` Connect to device.
    `StpApi.ConnectCommand.Builder` | `getConnectBuilder()` Connect to device.
    `StpApi.ConnectCommandOrBuilder` | `getConnectOrBuilder()` Connect to device.
    `StpApi.Command` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.DisengageCommand` | `getDisengage()`
    `StpApi.DisengageCommand.Builder` | `getDisengageBuilder()`
    `StpApi.DisengageCommandOrBuilder` | `getDisengageOrBuilder()`
    `StpApi.EngageCommand` | `getEngage()`
    `StpApi.EngageCommand.Builder` | `getEngageBuilder()`
    `StpApi.EngageCommandOrBuilder` | `getEngageOrBuilder()`
    `StpApi.GetAntennaConfigCommand` | `getGetAntennaConfig()`
    `StpApi.GetAntennaConfigCommand.Builder` | `getGetAntennaConfigBuilder()`
    `StpApi.GetAntennaConfigCommandOrBuilder` | `getGetAntennaConfigOrBuilder()`
    `StpApi.GetDeviceConfigCommand` | `getGetDeviceConfig()`
    `StpApi.GetDeviceConfigCommand.Builder` | `getGetDeviceConfigBuilder()`
    `StpApi.GetDeviceConfigCommandOrBuilder` | `getGetDeviceConfigOrBuilder()`
    `StpApi.GetDeviceStateCommand` | `getGetDeviceState()` Get the state (operating, fault, etc.) of the device.
    `StpApi.GetDeviceStateCommand.Builder` | `getGetDeviceStateBuilder()` Get the state (operating, fault, etc.) of the device.
    `StpApi.GetDeviceStateCommandOrBuilder` | `getGetDeviceStateOrBuilder()` Get the state (operating, fault, etc.) of the device.
    `StpApi.GetOperationDataCommand` | `getGetOperationData()`
    `StpApi.GetOperationDataCommand.Builder` | `getGetOperationDataBuilder()`
    `StpApi.GetOperationDataCommandOrBuilder` | `getGetOperationDataOrBuilder()`
    `StpApi.GetVersionsReaderCommand` | `getGetVersionsReader()` Return all version information reported by the device and by the host-side library.
    `StpApi.GetVersionsReaderCommand.Builder` | `getGetVersionsReaderBuilder()` Return all version information reported by the device and by the host-side library.
    `StpApi.GetVersionsReaderCommandOrBuilder` | `getGetVersionsReaderOrBuilder()` Return all version information reported by the device and by the host-side library.
    `StpApi.RemoveSerializationJobCommand` | `getRemoveSerializationJob()`
    `StpApi.RemoveSerializationJobCommand.Builder` | `getRemoveSerializationJobBuilder()`
    `StpApi.RemoveSerializationJobCommandOrBuilder` | `getRemoveSerializationJobOrBuilder()`
    `StpApi.SetAntennaConfigCommand` | `getSetAntennaConfig()`
    `StpApi.SetAntennaConfigCommand.Builder` | `getSetAntennaConfigBuilder()`
    `StpApi.SetAntennaConfigCommandOrBuilder` | `getSetAntennaConfigOrBuilder()`
    `StpApi.SetCartonContentsJobCommand` | `getSetCartonContentsJob()`
    `StpApi.SetCartonContentsJobCommand.Builder` | `getSetCartonContentsJobBuilder()`
    `StpApi.SetCartonContentsJobCommandOrBuilder` | `getSetCartonContentsJobOrBuilder()`
    `StpApi.SetDeviceConfigCommand` | `getSetDeviceConfig()`
    `StpApi.SetDeviceConfigCommand.Builder` | `getSetDeviceConfigBuilder()`
    `StpApi.SetDeviceConfigCommandOrBuilder` | `getSetDeviceConfigOrBuilder()`
    `StpApi.SetInventoryJobCommand` | `getSetInventoryJob()`
    `StpApi.SetInventoryJobCommand.Builder` | `getSetInventoryJobBuilder()`
    `StpApi.SetInventoryJobCommandOrBuilder` | `getSetInventoryJobOrBuilder()`
    `StpApi.SetOperationResultGPOCommand` | `getSetOperationResultGpo()` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `StpApi.SetOperationResultGPOCommand.Builder` | `getSetOperationResultGpoBuilder()` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `StpApi.SetOperationResultGPOCommandOrBuilder` | `getSetOperationResultGpoOrBuilder()` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `StpApi.StartCommand` | `getStart()` Start the encode or inventory run.
    `StpApi.StartCommand.Builder` | `getStartBuilder()` Start the encode or inventory run.
    `StpApi.StartCommandOrBuilder` | `getStartOrBuilder()` Start the encode or inventory run.
    `StpApi.StopCommand` | `getStop()` Stop the encode or inventory run.
    `StpApi.StopCommand.Builder` | `getStopBuilder()` Stop the encode or inventory run.
    `StpApi.StopCommandOrBuilder` | `getStopOrBuilder()` Stop the encode or inventory run.
    `boolean` | `hasAddLicenseKey()`
    `boolean` | `hasAddOrderedListEntries()`
    `boolean` | `hasAddSerializationJob()`
    `boolean` | `hasAddTidTableEntries()`
    `boolean` | `hasConnect()` Connect to device.
    `boolean` | `hasDisengage()`
    `boolean` | `hasEngage()`
    `boolean` | `hasGetAntennaConfig()`
    `boolean` | `hasGetDeviceConfig()`
    `boolean` | `hasGetDeviceState()` Get the state (operating, fault, etc.) of the device.
    `boolean` | `hasGetOperationData()`
    `boolean` | `hasGetVersionsReader()` Return all version information reported by the device and by the host-side library.
    `boolean` | `hasRemoveSerializationJob()`
    `boolean` | `hasSetAntennaConfig()`
    `boolean` | `hasSetCartonContentsJob()`
    `boolean` | `hasSetDeviceConfig()`
    `boolean` | `hasSetInventoryJob()`
    `boolean` | `hasSetOperationResultGpo()` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `boolean` | `hasStart()` Start the encode or inventory run.
    `boolean` | `hasStop()` Stop the encode or inventory run.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.Command.Builder` | `mergeAddLicenseKey(StpApi.AddLicenseKeyCommand value)`
    `StpApi.Command.Builder` | `mergeAddOrderedListEntries(StpApi.AddOrderedListEntriesCommand value)`
    `StpApi.Command.Builder` | `mergeAddSerializationJob(StpApi.AddSerializationJobCommand value)`
    `StpApi.Command.Builder` | `mergeAddTidTableEntries(StpApi.AddTIDTableEntriesCommand value)`
    `StpApi.Command.Builder` | `mergeConnect(StpApi.ConnectCommand value)` Connect to device.
    `StpApi.Command.Builder` | `mergeDisengage(StpApi.DisengageCommand value)`
    `StpApi.Command.Builder` | `mergeEngage(StpApi.EngageCommand value)`
    `StpApi.Command.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.Command.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.Command.Builder` | `mergeFrom(StpApi.Command other)`
    `StpApi.Command.Builder` | `mergeGetAntennaConfig(StpApi.GetAntennaConfigCommand value)`
    `StpApi.Command.Builder` | `mergeGetDeviceConfig(StpApi.GetDeviceConfigCommand value)`
    `StpApi.Command.Builder` | `mergeGetDeviceState(StpApi.GetDeviceStateCommand value)` Get the state (operating, fault, etc.) of the device.
    `StpApi.Command.Builder` | `mergeGetOperationData(StpApi.GetOperationDataCommand value)`
    `StpApi.Command.Builder` | `mergeGetVersionsReader(StpApi.GetVersionsReaderCommand value)` Return all version information reported by the device and by the host-side library.
    `StpApi.Command.Builder` | `mergeRemoveSerializationJob(StpApi.RemoveSerializationJobCommand value)`
    `StpApi.Command.Builder` | `mergeSetAntennaConfig(StpApi.SetAntennaConfigCommand value)`
    `StpApi.Command.Builder` | `mergeSetCartonContentsJob(StpApi.SetCartonContentsJobCommand value)`
    `StpApi.Command.Builder` | `mergeSetDeviceConfig(StpApi.SetDeviceConfigCommand value)`
    `StpApi.Command.Builder` | `mergeSetInventoryJob(StpApi.SetInventoryJobCommand value)`
    `StpApi.Command.Builder` | `mergeSetOperationResultGpo(StpApi.SetOperationResultGPOCommand value)` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `StpApi.Command.Builder` | `mergeStart(StpApi.StartCommand value)` Start the encode or inventory run.
    `StpApi.Command.Builder` | `mergeStop(StpApi.StopCommand value)` Stop the encode or inventory run.
    `StpApi.Command.Builder` | `setAddLicenseKey(StpApi.AddLicenseKeyCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setAddLicenseKey(StpApi.AddLicenseKeyCommand value)`
    `StpApi.Command.Builder` | `setAddOrderedListEntries(StpApi.AddOrderedListEntriesCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setAddOrderedListEntries(StpApi.AddOrderedListEntriesCommand value)`
    `StpApi.Command.Builder` | `setAddSerializationJob(StpApi.AddSerializationJobCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setAddSerializationJob(StpApi.AddSerializationJobCommand value)`
    `StpApi.Command.Builder` | `setAddTidTableEntries(StpApi.AddTIDTableEntriesCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setAddTidTableEntries(StpApi.AddTIDTableEntriesCommand value)`
    `StpApi.Command.Builder` | `setConnect(StpApi.ConnectCommand.Builder builderForValue)` Connect to device.
    `StpApi.Command.Builder` | `setConnect(StpApi.ConnectCommand value)` Connect to device.
    `StpApi.Command.Builder` | `setDisengage(StpApi.DisengageCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setDisengage(StpApi.DisengageCommand value)`
    `StpApi.Command.Builder` | `setEngage(StpApi.EngageCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setEngage(StpApi.EngageCommand value)`
    `StpApi.Command.Builder` | `setGetAntennaConfig(StpApi.GetAntennaConfigCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setGetAntennaConfig(StpApi.GetAntennaConfigCommand value)`
    `StpApi.Command.Builder` | `setGetDeviceConfig(StpApi.GetDeviceConfigCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setGetDeviceConfig(StpApi.GetDeviceConfigCommand value)`
    `StpApi.Command.Builder` | `setGetDeviceState(StpApi.GetDeviceStateCommand.Builder builderForValue)` Get the state (operating, fault, etc.) of the device.
    `StpApi.Command.Builder` | `setGetDeviceState(StpApi.GetDeviceStateCommand value)` Get the state (operating, fault, etc.) of the device.
    `StpApi.Command.Builder` | `setGetOperationData(StpApi.GetOperationDataCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setGetOperationData(StpApi.GetOperationDataCommand value)`
    `StpApi.Command.Builder` | `setGetVersionsReader(StpApi.GetVersionsReaderCommand.Builder builderForValue)` Return all version information reported by the device and by the host-side library.
    `StpApi.Command.Builder` | `setGetVersionsReader(StpApi.GetVersionsReaderCommand value)` Return all version information reported by the device and by the host-side library.
    `StpApi.Command.Builder` | `setRemoveSerializationJob(StpApi.RemoveSerializationJobCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setRemoveSerializationJob(StpApi.RemoveSerializationJobCommand value)`
    `StpApi.Command.Builder` | `setSetAntennaConfig(StpApi.SetAntennaConfigCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setSetAntennaConfig(StpApi.SetAntennaConfigCommand value)`
    `StpApi.Command.Builder` | `setSetCartonContentsJob(StpApi.SetCartonContentsJobCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setSetCartonContentsJob(StpApi.SetCartonContentsJobCommand value)`
    `StpApi.Command.Builder` | `setSetDeviceConfig(StpApi.SetDeviceConfigCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setSetDeviceConfig(StpApi.SetDeviceConfigCommand value)`
    `StpApi.Command.Builder` | `setSetInventoryJob(StpApi.SetInventoryJobCommand.Builder builderForValue)`
    `StpApi.Command.Builder` | `setSetInventoryJob(StpApi.SetInventoryJobCommand value)`
    `StpApi.Command.Builder` | `setSetOperationResultGpo(StpApi.SetOperationResultGPOCommand.Builder builderForValue)` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `StpApi.Command.Builder` | `setSetOperationResultGpo(StpApi.SetOperationResultGPOCommand value)` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `StpApi.Command.Builder` | `setStart(StpApi.StartCommand.Builder builderForValue)` Start the encode or inventory run.
    `StpApi.Command.Builder` | `setStart(StpApi.StartCommand value)` Start the encode or inventory run.
    `StpApi.Command.Builder` | `setStop(StpApi.StopCommand.Builder builderForValue)` Stop the encode or inventory run.
    `StpApi.Command.Builder` | `setStop(StpApi.StopCommand value)` Stop the encode or inventory run.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Command.Builder>`

    - #### clear

          public StpApi.Command.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Command.Builder>`

    - #### clone

          public StpApi.Command.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Command.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Command.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.Command getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.Command build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.Command buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.Command.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Command.Builder>`

    - #### mergeFrom

          public StpApi.Command.Builder mergeFrom(StpApi.Command other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Command.Builder>`

    - #### mergeFrom

          public StpApi.Command.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Command.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasConnect

          public boolean hasConnect()

      Connect to device.
      Specified by:
        `hasConnect` in interface `StpApi.CommandOrBuilder`

    - #### getConnect

          public StpApi.ConnectCommand getConnect()

      Connect to device.
      Specified by:
        `getConnect` in interface `StpApi.CommandOrBuilder`

    - #### setConnect

          public StpApi.Command.Builder setConnect(StpApi.ConnectCommand value)

      Connect to device.

    - #### setConnect

          public StpApi.Command.Builder setConnect(StpApi.ConnectCommand.Builder builderForValue)

      Connect to device.

    - #### mergeConnect

          public StpApi.Command.Builder mergeConnect(StpApi.ConnectCommand value)

      Connect to device.

    - #### clearConnect

          public StpApi.Command.Builder clearConnect()

      Connect to device.

    - #### getConnectBuilder

          public StpApi.ConnectCommand.Builder getConnectBuilder()

      Connect to device.

    - #### getConnectOrBuilder

          public StpApi.ConnectCommandOrBuilder getConnectOrBuilder()

      Connect to device.
      Specified by:
        `getConnectOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasGetVersionsReader

          public boolean hasGetVersionsReader()

      Return all version information reported by the device and by the host-side library.
      Specified by:
        `hasGetVersionsReader` in interface `StpApi.CommandOrBuilder`

    - #### getGetVersionsReader

          public StpApi.GetVersionsReaderCommand getGetVersionsReader()

      Return all version information reported by the device and by the host-side library.
      Specified by:
        `getGetVersionsReader` in interface `StpApi.CommandOrBuilder`

    - #### setGetVersionsReader

          public StpApi.Command.Builder setGetVersionsReader(StpApi.GetVersionsReaderCommand value)

      Return all version information reported by the device and by the host-side library.

    - #### setGetVersionsReader

          public StpApi.Command.Builder setGetVersionsReader(StpApi.GetVersionsReaderCommand.Builder builderForValue)

      Return all version information reported by the device and by the host-side library.

    - #### mergeGetVersionsReader

          public StpApi.Command.Builder mergeGetVersionsReader(StpApi.GetVersionsReaderCommand value)

      Return all version information reported by the device and by the host-side library.

    - #### clearGetVersionsReader

          public StpApi.Command.Builder clearGetVersionsReader()

      Return all version information reported by the device and by the host-side library.

    - #### getGetVersionsReaderBuilder

          public StpApi.GetVersionsReaderCommand.Builder getGetVersionsReaderBuilder()

      Return all version information reported by the device and by the host-side library.

    - #### getGetVersionsReaderOrBuilder

          public StpApi.GetVersionsReaderCommandOrBuilder getGetVersionsReaderOrBuilder()

      Return all version information reported by the device and by the host-side library.
      Specified by:
        `getGetVersionsReaderOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasStart

          public boolean hasStart()

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.
      Specified by:
        `hasStart` in interface `StpApi.CommandOrBuilder`

    - #### getStart

          public StpApi.StartCommand getStart()

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.
      Specified by:
        `getStart` in interface `StpApi.CommandOrBuilder`

    - #### setStart

          public StpApi.Command.Builder setStart(StpApi.StartCommand value)

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.

    - #### setStart

          public StpApi.Command.Builder setStart(StpApi.StartCommand.Builder builderForValue)

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.

    - #### mergeStart

          public StpApi.Command.Builder mergeStart(StpApi.StartCommand value)

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.

    - #### clearStart

          public StpApi.Command.Builder clearStart()

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.

    - #### getStartBuilder

          public StpApi.StartCommand.Builder getStartBuilder()

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.

    - #### getStartOrBuilder

          public StpApi.StartCommandOrBuilder getStartOrBuilder()

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.
      Specified by:
        `getStartOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasStop

          public boolean hasStop()

      Stop the encode or inventory run. The device must be operating.
      Specified by:
        `hasStop` in interface `StpApi.CommandOrBuilder`

    - #### getStop

          public StpApi.StopCommand getStop()

      Stop the encode or inventory run. The device must be operating.
      Specified by:
        `getStop` in interface `StpApi.CommandOrBuilder`

    - #### setStop

          public StpApi.Command.Builder setStop(StpApi.StopCommand value)

      Stop the encode or inventory run. The device must be operating.

    - #### setStop

          public StpApi.Command.Builder setStop(StpApi.StopCommand.Builder builderForValue)

      Stop the encode or inventory run. The device must be operating.

    - #### mergeStop

          public StpApi.Command.Builder mergeStop(StpApi.StopCommand value)

      Stop the encode or inventory run. The device must be operating.

    - #### clearStop

          public StpApi.Command.Builder clearStop()

      Stop the encode or inventory run. The device must be operating.

    - #### getStopBuilder

          public StpApi.StopCommand.Builder getStopBuilder()

      Stop the encode or inventory run. The device must be operating.

    - #### getStopOrBuilder

          public StpApi.StopCommandOrBuilder getStopOrBuilder()

      Stop the encode or inventory run. The device must be operating.
      Specified by:
        `getStopOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasGetDeviceState

          public boolean hasGetDeviceState()

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.
      Specified by:
        `hasGetDeviceState` in interface `StpApi.CommandOrBuilder`

    - #### getGetDeviceState

          public StpApi.GetDeviceStateCommand getGetDeviceState()

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.
      Specified by:
        `getGetDeviceState` in interface `StpApi.CommandOrBuilder`

    - #### setGetDeviceState

          public StpApi.Command.Builder setGetDeviceState(StpApi.GetDeviceStateCommand value)

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.

    - #### setGetDeviceState

          public StpApi.Command.Builder setGetDeviceState(StpApi.GetDeviceStateCommand.Builder builderForValue)

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.

    - #### mergeGetDeviceState

          public StpApi.Command.Builder mergeGetDeviceState(StpApi.GetDeviceStateCommand value)

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.

    - #### clearGetDeviceState

          public StpApi.Command.Builder clearGetDeviceState()

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.

    - #### getGetDeviceStateBuilder

          public StpApi.GetDeviceStateCommand.Builder getGetDeviceStateBuilder()

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.

    - #### getGetDeviceStateOrBuilder

          public StpApi.GetDeviceStateCommandOrBuilder getGetDeviceStateOrBuilder()

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.
      Specified by:
        `getGetDeviceStateOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasSetDeviceConfig

          public boolean hasSetDeviceConfig()

      Specified by:
        `hasSetDeviceConfig` in interface `StpApi.CommandOrBuilder`

    - #### getSetDeviceConfig

          public StpApi.SetDeviceConfigCommand getSetDeviceConfig()

      Specified by:
        `getSetDeviceConfig` in interface `StpApi.CommandOrBuilder`

    - #### setSetDeviceConfig

          public StpApi.Command.Builder setSetDeviceConfig(StpApi.SetDeviceConfigCommand value)

    - #### setSetDeviceConfig

          public StpApi.Command.Builder setSetDeviceConfig(StpApi.SetDeviceConfigCommand.Builder builderForValue)

    - #### mergeSetDeviceConfig

          public StpApi.Command.Builder mergeSetDeviceConfig(StpApi.SetDeviceConfigCommand value)

    - #### clearSetDeviceConfig

          public StpApi.Command.Builder clearSetDeviceConfig()

    - #### getSetDeviceConfigBuilder

          public StpApi.SetDeviceConfigCommand.Builder getSetDeviceConfigBuilder()

    - #### getSetDeviceConfigOrBuilder

          public StpApi.SetDeviceConfigCommandOrBuilder getSetDeviceConfigOrBuilder()

      Specified by:
        `getSetDeviceConfigOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasGetDeviceConfig

          public boolean hasGetDeviceConfig()

      Specified by:
        `hasGetDeviceConfig` in interface `StpApi.CommandOrBuilder`

    - #### getGetDeviceConfig

          public StpApi.GetDeviceConfigCommand getGetDeviceConfig()

      Specified by:
        `getGetDeviceConfig` in interface `StpApi.CommandOrBuilder`

    - #### setGetDeviceConfig

          public StpApi.Command.Builder setGetDeviceConfig(StpApi.GetDeviceConfigCommand value)

    - #### setGetDeviceConfig

          public StpApi.Command.Builder setGetDeviceConfig(StpApi.GetDeviceConfigCommand.Builder builderForValue)

    - #### mergeGetDeviceConfig

          public StpApi.Command.Builder mergeGetDeviceConfig(StpApi.GetDeviceConfigCommand value)

    - #### clearGetDeviceConfig

          public StpApi.Command.Builder clearGetDeviceConfig()

    - #### getGetDeviceConfigBuilder

          public StpApi.GetDeviceConfigCommand.Builder getGetDeviceConfigBuilder()

    - #### getGetDeviceConfigOrBuilder

          public StpApi.GetDeviceConfigCommandOrBuilder getGetDeviceConfigOrBuilder()

      Specified by:
        `getGetDeviceConfigOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasSetAntennaConfig

          public boolean hasSetAntennaConfig()

      Specified by:
        `hasSetAntennaConfig` in interface `StpApi.CommandOrBuilder`

    - #### getSetAntennaConfig

          public StpApi.SetAntennaConfigCommand getSetAntennaConfig()

      Specified by:
        `getSetAntennaConfig` in interface `StpApi.CommandOrBuilder`

    - #### setSetAntennaConfig

          public StpApi.Command.Builder setSetAntennaConfig(StpApi.SetAntennaConfigCommand value)

    - #### setSetAntennaConfig

          public StpApi.Command.Builder setSetAntennaConfig(StpApi.SetAntennaConfigCommand.Builder builderForValue)

    - #### mergeSetAntennaConfig

          public StpApi.Command.Builder mergeSetAntennaConfig(StpApi.SetAntennaConfigCommand value)

    - #### clearSetAntennaConfig

          public StpApi.Command.Builder clearSetAntennaConfig()

    - #### getSetAntennaConfigBuilder

          public StpApi.SetAntennaConfigCommand.Builder getSetAntennaConfigBuilder()

    - #### getSetAntennaConfigOrBuilder

          public StpApi.SetAntennaConfigCommandOrBuilder getSetAntennaConfigOrBuilder()

      Specified by:
        `getSetAntennaConfigOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasGetAntennaConfig

          public boolean hasGetAntennaConfig()

      Specified by:
        `hasGetAntennaConfig` in interface `StpApi.CommandOrBuilder`

    - #### getGetAntennaConfig

          public StpApi.GetAntennaConfigCommand getGetAntennaConfig()

      Specified by:
        `getGetAntennaConfig` in interface `StpApi.CommandOrBuilder`

    - #### setGetAntennaConfig

          public StpApi.Command.Builder setGetAntennaConfig(StpApi.GetAntennaConfigCommand value)

    - #### setGetAntennaConfig

          public StpApi.Command.Builder setGetAntennaConfig(StpApi.GetAntennaConfigCommand.Builder builderForValue)

    - #### mergeGetAntennaConfig

          public StpApi.Command.Builder mergeGetAntennaConfig(StpApi.GetAntennaConfigCommand value)

    - #### clearGetAntennaConfig

          public StpApi.Command.Builder clearGetAntennaConfig()

    - #### getGetAntennaConfigBuilder

          public StpApi.GetAntennaConfigCommand.Builder getGetAntennaConfigBuilder()

    - #### getGetAntennaConfigOrBuilder

          public StpApi.GetAntennaConfigCommandOrBuilder getGetAntennaConfigOrBuilder()

      Specified by:
        `getGetAntennaConfigOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasEngage

          public boolean hasEngage()

      Specified by:
        `hasEngage` in interface `StpApi.CommandOrBuilder`

    - #### getEngage

          public StpApi.EngageCommand getEngage()

      Specified by:
        `getEngage` in interface `StpApi.CommandOrBuilder`

    - #### setEngage

          public StpApi.Command.Builder setEngage(StpApi.EngageCommand value)

    - #### setEngage

          public StpApi.Command.Builder setEngage(StpApi.EngageCommand.Builder builderForValue)

    - #### mergeEngage

          public StpApi.Command.Builder mergeEngage(StpApi.EngageCommand value)

    - #### clearEngage

          public StpApi.Command.Builder clearEngage()

    - #### getEngageBuilder

          public StpApi.EngageCommand.Builder getEngageBuilder()

    - #### getEngageOrBuilder

          public StpApi.EngageCommandOrBuilder getEngageOrBuilder()

      Specified by:
        `getEngageOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasDisengage

          public boolean hasDisengage()

      Specified by:
        `hasDisengage` in interface `StpApi.CommandOrBuilder`

    - #### getDisengage

          public StpApi.DisengageCommand getDisengage()

      Specified by:
        `getDisengage` in interface `StpApi.CommandOrBuilder`

    - #### setDisengage

          public StpApi.Command.Builder setDisengage(StpApi.DisengageCommand value)

    - #### setDisengage

          public StpApi.Command.Builder setDisengage(StpApi.DisengageCommand.Builder builderForValue)

    - #### mergeDisengage

          public StpApi.Command.Builder mergeDisengage(StpApi.DisengageCommand value)

    - #### clearDisengage

          public StpApi.Command.Builder clearDisengage()

    - #### getDisengageBuilder

          public StpApi.DisengageCommand.Builder getDisengageBuilder()

    - #### getDisengageOrBuilder

          public StpApi.DisengageCommandOrBuilder getDisengageOrBuilder()

      Specified by:
        `getDisengageOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasSetOperationResultGpo

          public boolean hasSetOperationResultGpo()

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
      Specified by:
        `hasSetOperationResultGpo` in interface `StpApi.CommandOrBuilder`

    - #### getSetOperationResultGpo

          public StpApi.SetOperationResultGPOCommand getSetOperationResultGpo()

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
      Specified by:
        `getSetOperationResultGpo` in interface `StpApi.CommandOrBuilder`

    - #### setSetOperationResultGpo

          public StpApi.Command.Builder setSetOperationResultGpo(StpApi.SetOperationResultGPOCommand value)

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.

    - #### setSetOperationResultGpo

          public StpApi.Command.Builder setSetOperationResultGpo(StpApi.SetOperationResultGPOCommand.Builder builderForValue)

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.

    - #### mergeSetOperationResultGpo

          public StpApi.Command.Builder mergeSetOperationResultGpo(StpApi.SetOperationResultGPOCommand value)

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.

    - #### clearSetOperationResultGpo

          public StpApi.Command.Builder clearSetOperationResultGpo()

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.

    - #### getSetOperationResultGpoBuilder

          public StpApi.SetOperationResultGPOCommand.Builder getSetOperationResultGpoBuilder()

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.

    - #### getSetOperationResultGpoOrBuilder

          public StpApi.SetOperationResultGPOCommandOrBuilder getSetOperationResultGpoOrBuilder()

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
      Specified by:
        `getSetOperationResultGpoOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasAddSerializationJob

          public boolean hasAddSerializationJob()

      Specified by:
        `hasAddSerializationJob` in interface `StpApi.CommandOrBuilder`

    - #### getAddSerializationJob

          public StpApi.AddSerializationJobCommand getAddSerializationJob()

      Specified by:
        `getAddSerializationJob` in interface `StpApi.CommandOrBuilder`

    - #### setAddSerializationJob

          public StpApi.Command.Builder setAddSerializationJob(StpApi.AddSerializationJobCommand value)

    - #### setAddSerializationJob

          public StpApi.Command.Builder setAddSerializationJob(StpApi.AddSerializationJobCommand.Builder builderForValue)

    - #### mergeAddSerializationJob

          public StpApi.Command.Builder mergeAddSerializationJob(StpApi.AddSerializationJobCommand value)

    - #### clearAddSerializationJob

          public StpApi.Command.Builder clearAddSerializationJob()

    - #### getAddSerializationJobBuilder

          public StpApi.AddSerializationJobCommand.Builder getAddSerializationJobBuilder()

    - #### getAddSerializationJobOrBuilder

          public StpApi.AddSerializationJobCommandOrBuilder getAddSerializationJobOrBuilder()

      Specified by:
        `getAddSerializationJobOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasRemoveSerializationJob

          public boolean hasRemoveSerializationJob()

      Specified by:
        `hasRemoveSerializationJob` in interface `StpApi.CommandOrBuilder`

    - #### getRemoveSerializationJob

          public StpApi.RemoveSerializationJobCommand getRemoveSerializationJob()

      Specified by:
        `getRemoveSerializationJob` in interface `StpApi.CommandOrBuilder`

    - #### setRemoveSerializationJob

          public StpApi.Command.Builder setRemoveSerializationJob(StpApi.RemoveSerializationJobCommand value)

    - #### setRemoveSerializationJob

          public StpApi.Command.Builder setRemoveSerializationJob(StpApi.RemoveSerializationJobCommand.Builder builderForValue)

    - #### mergeRemoveSerializationJob

          public StpApi.Command.Builder mergeRemoveSerializationJob(StpApi.RemoveSerializationJobCommand value)

    - #### clearRemoveSerializationJob

          public StpApi.Command.Builder clearRemoveSerializationJob()

    - #### getRemoveSerializationJobBuilder

          public StpApi.RemoveSerializationJobCommand.Builder getRemoveSerializationJobBuilder()

    - #### getRemoveSerializationJobOrBuilder

          public StpApi.RemoveSerializationJobCommandOrBuilder getRemoveSerializationJobOrBuilder()

      Specified by:
        `getRemoveSerializationJobOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasAddTidTableEntries

          public boolean hasAddTidTableEntries()

      Specified by:
        `hasAddTidTableEntries` in interface `StpApi.CommandOrBuilder`

    - #### getAddTidTableEntries

          public StpApi.AddTIDTableEntriesCommand getAddTidTableEntries()

      Specified by:
        `getAddTidTableEntries` in interface `StpApi.CommandOrBuilder`

    - #### setAddTidTableEntries

          public StpApi.Command.Builder setAddTidTableEntries(StpApi.AddTIDTableEntriesCommand value)

    - #### setAddTidTableEntries

          public StpApi.Command.Builder setAddTidTableEntries(StpApi.AddTIDTableEntriesCommand.Builder builderForValue)

    - #### mergeAddTidTableEntries

          public StpApi.Command.Builder mergeAddTidTableEntries(StpApi.AddTIDTableEntriesCommand value)

    - #### clearAddTidTableEntries

          public StpApi.Command.Builder clearAddTidTableEntries()

    - #### getAddTidTableEntriesBuilder

          public StpApi.AddTIDTableEntriesCommand.Builder getAddTidTableEntriesBuilder()

    - #### getAddTidTableEntriesOrBuilder

          public StpApi.AddTIDTableEntriesCommandOrBuilder getAddTidTableEntriesOrBuilder()

      Specified by:
        `getAddTidTableEntriesOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasAddOrderedListEntries

          public boolean hasAddOrderedListEntries()

      Specified by:
        `hasAddOrderedListEntries` in interface `StpApi.CommandOrBuilder`

    - #### getAddOrderedListEntries

          public StpApi.AddOrderedListEntriesCommand getAddOrderedListEntries()

      Specified by:
        `getAddOrderedListEntries` in interface `StpApi.CommandOrBuilder`

    - #### setAddOrderedListEntries

          public StpApi.Command.Builder setAddOrderedListEntries(StpApi.AddOrderedListEntriesCommand value)

    - #### setAddOrderedListEntries

          public StpApi.Command.Builder setAddOrderedListEntries(StpApi.AddOrderedListEntriesCommand.Builder builderForValue)

    - #### mergeAddOrderedListEntries

          public StpApi.Command.Builder mergeAddOrderedListEntries(StpApi.AddOrderedListEntriesCommand value)

    - #### clearAddOrderedListEntries

          public StpApi.Command.Builder clearAddOrderedListEntries()

    - #### getAddOrderedListEntriesBuilder

          public StpApi.AddOrderedListEntriesCommand.Builder getAddOrderedListEntriesBuilder()

    - #### getAddOrderedListEntriesOrBuilder

          public StpApi.AddOrderedListEntriesCommandOrBuilder getAddOrderedListEntriesOrBuilder()

      Specified by:
        `getAddOrderedListEntriesOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasSetInventoryJob

          public boolean hasSetInventoryJob()

      Specified by:
        `hasSetInventoryJob` in interface `StpApi.CommandOrBuilder`

    - #### getSetInventoryJob

          public StpApi.SetInventoryJobCommand getSetInventoryJob()

      Specified by:
        `getSetInventoryJob` in interface `StpApi.CommandOrBuilder`

    - #### setSetInventoryJob

          public StpApi.Command.Builder setSetInventoryJob(StpApi.SetInventoryJobCommand value)

    - #### setSetInventoryJob

          public StpApi.Command.Builder setSetInventoryJob(StpApi.SetInventoryJobCommand.Builder builderForValue)

    - #### mergeSetInventoryJob

          public StpApi.Command.Builder mergeSetInventoryJob(StpApi.SetInventoryJobCommand value)

    - #### clearSetInventoryJob

          public StpApi.Command.Builder clearSetInventoryJob()

    - #### getSetInventoryJobBuilder

          public StpApi.SetInventoryJobCommand.Builder getSetInventoryJobBuilder()

    - #### getSetInventoryJobOrBuilder

          public StpApi.SetInventoryJobCommandOrBuilder getSetInventoryJobOrBuilder()

      Specified by:
        `getSetInventoryJobOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasSetCartonContentsJob

          public boolean hasSetCartonContentsJob()

      Specified by:
        `hasSetCartonContentsJob` in interface `StpApi.CommandOrBuilder`

    - #### getSetCartonContentsJob

          public StpApi.SetCartonContentsJobCommand getSetCartonContentsJob()

      Specified by:
        `getSetCartonContentsJob` in interface `StpApi.CommandOrBuilder`

    - #### setSetCartonContentsJob

          public StpApi.Command.Builder setSetCartonContentsJob(StpApi.SetCartonContentsJobCommand value)

    - #### setSetCartonContentsJob

          public StpApi.Command.Builder setSetCartonContentsJob(StpApi.SetCartonContentsJobCommand.Builder builderForValue)

    - #### mergeSetCartonContentsJob

          public StpApi.Command.Builder mergeSetCartonContentsJob(StpApi.SetCartonContentsJobCommand value)

    - #### clearSetCartonContentsJob

          public StpApi.Command.Builder clearSetCartonContentsJob()

    - #### getSetCartonContentsJobBuilder

          public StpApi.SetCartonContentsJobCommand.Builder getSetCartonContentsJobBuilder()

    - #### getSetCartonContentsJobOrBuilder

          public StpApi.SetCartonContentsJobCommandOrBuilder getSetCartonContentsJobOrBuilder()

      Specified by:
        `getSetCartonContentsJobOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasGetOperationData

          public boolean hasGetOperationData()

      Specified by:
        `hasGetOperationData` in interface `StpApi.CommandOrBuilder`

    - #### getGetOperationData

          public StpApi.GetOperationDataCommand getGetOperationData()

      Specified by:
        `getGetOperationData` in interface `StpApi.CommandOrBuilder`

    - #### setGetOperationData

          public StpApi.Command.Builder setGetOperationData(StpApi.GetOperationDataCommand value)

    - #### setGetOperationData

          public StpApi.Command.Builder setGetOperationData(StpApi.GetOperationDataCommand.Builder builderForValue)

    - #### mergeGetOperationData

          public StpApi.Command.Builder mergeGetOperationData(StpApi.GetOperationDataCommand value)

    - #### clearGetOperationData

          public StpApi.Command.Builder clearGetOperationData()

    - #### getGetOperationDataBuilder

          public StpApi.GetOperationDataCommand.Builder getGetOperationDataBuilder()

    - #### getGetOperationDataOrBuilder

          public StpApi.GetOperationDataCommandOrBuilder getGetOperationDataOrBuilder()

      Specified by:
        `getGetOperationDataOrBuilder` in interface `StpApi.CommandOrBuilder`

    - #### hasAddLicenseKey

          public boolean hasAddLicenseKey()

      Specified by:
        `hasAddLicenseKey` in interface `StpApi.CommandOrBuilder`

    - #### getAddLicenseKey

          public StpApi.AddLicenseKeyCommand getAddLicenseKey()

      Specified by:
        `getAddLicenseKey` in interface `StpApi.CommandOrBuilder`

    - #### setAddLicenseKey

          public StpApi.Command.Builder setAddLicenseKey(StpApi.AddLicenseKeyCommand value)

    - #### setAddLicenseKey

          public StpApi.Command.Builder setAddLicenseKey(StpApi.AddLicenseKeyCommand.Builder builderForValue)

    - #### mergeAddLicenseKey

          public StpApi.Command.Builder mergeAddLicenseKey(StpApi.AddLicenseKeyCommand value)

    - #### clearAddLicenseKey

          public StpApi.Command.Builder clearAddLicenseKey()

    - #### getAddLicenseKeyBuilder

          public StpApi.AddLicenseKeyCommand.Builder getAddLicenseKeyBuilder()

    - #### getAddLicenseKeyOrBuilder

          public StpApi.AddLicenseKeyCommandOrBuilder getAddLicenseKeyOrBuilder()

      Specified by:
        `getAddLicenseKeyOrBuilder` in interface `StpApi.CommandOrBuilder`